#ifndef A2BCINDEXPARSER_H
#define A2BCINDEXPARSER_H

#include <QWidget>
#include <QString>
#include <QTextStream>

class a2BCindexParser : public QWidget
{
    Q_OBJECT

public:
    a2BCindexParser(QWidget *parent = 0);
    virtual ~a2BCindexParser();

public:
    int parseIndexFile(const QString &arFileName);
    void outputIndexFile(bool aRemoveError);


public slots:

signals:

public:
    QString  getFileName(int index);
    int     getFileStatus(int index);
    QString  getOptionData(int index);
    void    clearIndexFile();    
    void    setFileStatus(int index, int status);

private:
    bool process_line(const QString &arFileName, QString &arLineData);

private:
    QVector<QString> mIndexFileName;
    QVector<QString> mDatFileName;
    QVector<QString> mOptionData;
    
    QVector<int>    mDatFileStatus;
    QVector<int>    mNofMessage;
    QVector<int>    mCurrentMessage;
    
};

#endif // #ifndef #ifndef A2BCINDEXPARSER_H

/*
 *  a2BC : a2B Connectivity
 *  Copyright (C) 2006- NNsi Project
 *  (see a2BC-src.txt for detail.)
 */
